# Viaje extendido

![Travel pic](https://assets-auto.rbl.ms/5fefc7fee587f0e4aca6794810f346d3c555463eed4e21eaa015d6fc9e6bcb5d)
[Fuente](https://www.theodysseyonline.com/road-trips-worthwhile)

## Resumen

Después de unas semanas trabajando en el proyecto, queremos proponerte una
_segunda parte_ que se adapte a tu proceso de aprendizaje **individual**.
Esto permitirá que consolides, profundices y/o complementes lo aprendido.

Las alternativas son las siguientes:

### 1. Si no terminaste la "Parte Obligatoria" del proyecto

Pues termínala ¿no? No te olvides de que estás acá para aprender y no para
simplemente "pasar" de un proyecto a otro y tener la ilusión de que aprendes.
No estás compitiendo con nadie más que contigo misma.

Completa el proyecto original con todo lo que se especifica en
la [parte obligatoria](README.md#parte-obligatoria).

### 2. Si completaste la "Parte Obligatoria"

Tienes estas opciones:

2.1. Haz la "Parte Opcional" [(Hacker Edition)](README.md#parte-opcional-hacker-edition).
Enfócate en los dos puntos principales: _cargar la data usando [`fetch`](https://developer.mozilla.org/es/docs/Web/API/Fetch_API)_
y/o _agregar gráficas con [`Chart.js`](https://www.chartjs.org/)
o [`Google Charts`](https://developers.google.com/chart/)_. Si ya hiciste esto,
pasa a las siguientes opciones (obviamente).

2.2. Si quieres explorar un poco más sobre el Diseño de Experiencia de Usuario
(_UX Design_), te proponemos hacer sesiones de _testeo de usabilidad con
usuarios_ y una evaluación heurística de tu sitio completo. Recuerda incorporar
aprendizajes y oportunidades de mejora en tu _readme_. Haz una búsqueda de
referentes de diseño visual para tu sitio que te sirvan de inspiración para
resolver desafíos de interfaz. A partir de todos estos aprendizajes de
usabilidad y diseño visual, trabaja en una iteración de la interfaz de tu sitio.

Así podrás, además, reforzar tus conocimientos sobre _heurísticas de usabilidad_
y principios de diseño visual.

2.3 Si quieres profundizar sobre lo ya aprendido de Front-end y codear
un poco más, elige otra [fuente de datos](README.md#resumen-del-proyecto) para hacer
otro "Producto". Por ejemplo, si hiciste una visualización con datos del
Banco Mundial, puedes aplicar todo lo aprendido para, esta vez, hacer una
sobre Pokémon.

2.4 [Refactoriza](https://es.wikipedia.org/wiki/Refactorizaci%C3%B3n) tu código
para aumentar la cobertura de _tests_ (incluyendo pruebas para componentes de
interfaz).

## Consideraciones generales

- Esta segunda parte del proyecto es _individual_, salvo alguna excepción que
  decida tu _Training Manager_.

- Es responsabilidad de lxs _coaches_ y la _Training Manager_, después de las
  entrevistas del final del proyecto original "Data Lovers", aconsejar y validar
  qué opciones de todas las detalladas en este `README.md`, se adecúan más
  a cada estudiante.

## ¿Cómo empezar?

Para actualizar tu fork/rama de este proyecto con este archivo (`EXTRA.md`),
puedes hacer _pull_ de los cambios desde la rama `master` del remoto de
`Laboratoria` con un comando como el siguiente:

```sh
git pull <repo-url> <branch>
```

Por ejemplo, si el repo de tu cohort es
`https://github.com/Laboratoria/lim-2018-11-bc-core-am-data-lovers.git`:

```sh
git pull https://github.com/Laboratoria/lim-2018-11-bc-core-am-data-lovers.git master
```